Issue card token
curl --request POST \
--url https://fgw.whitebit.com/api/card-token \
--header 'Content-Type: application/json' \
--header 'X-TXC-APIKEY: <api-key>' \
--header 'X-TXC-PAYLOAD: <api-key>' \
--header 'X-TXC-SIGNATURE: <api-key>' \
--data '
{
"cardNumber": "4111111111111111"
}
'import requests
url = "https://fgw.whitebit.com/api/card-token"
payload = { "cardNumber": "4111111111111111" }
headers = {
"X-TXC-APIKEY": "<api-key>",
"X-TXC-PAYLOAD": "<api-key>",
"X-TXC-SIGNATURE": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-TXC-APIKEY': '<api-key>',
'X-TXC-PAYLOAD': '<api-key>',
'X-TXC-SIGNATURE': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({cardNumber: '4111111111111111'})
};
fetch('https://fgw.whitebit.com/api/card-token', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Issue card token
Issue a card token for WhiteBIT card operations via the API.
Issue card token
Authorizations
The public WhiteBIT API key.
Base64-encoded JSON request body.
HMAC-SHA512 signature of the payload, hex-encoded. Computed as hex(HMAC-SHA512(payload, api_secret)).
Body
application/json
Target card number
Example:
"4111111111111111"
Response
Validation succeeded and card token is returned
Was this page helpful?
⌘I